Bug 489768 - [RHEL4u4] Kernel panic was caused by page_symlink() when kernel has to shrink caches
[RHEL4u4] Kernel panic was caused by page_symlink() when kernel has to shrink...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
urgent Severity high
: rc
: ---
Assigned To: Flavio Leitner
Red Hat Kernel QE team
: ZStream
Depends On:
Blocks: 493422
  Show dependency treegraph
 
Reported: 2009-03-11 14:42 EDT by Flavio Leitner
Modified: 2010-10-23 04:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Leitner 2009-03-11 14:42:17 EDT
The panic message is
"Assertion failure in journal_start() at fs/jbd/transaction.c:274:
"handle->h_transaction->t_journal == journal""

The problem is in page_symlink() discussed here:
http://lkml.org/lkml/2006/2/1/328  
and the patch which fixes this problem is
http://bugzilla.redhat.com/attachment.cgi?id=260401.

FYI, the backtrace of the process which caused a system panic is the following:
PID: 12953  TASK: f3d0af30  CPU: 1   COMMAND: "backup"
#0 [e3a1ec48] disk_dump at f89521a2
#1 [e3a1ec4c] printk at c01228a7
#2 [e3a1ec58] freeze_other_cpus at f8951ef5
#3 [e3a1ec68] start_disk_dump at f8951fa0
#4 [e3a1ec78] try_crashdump at c01348ca
#5 [e3a1ec80] die at c0106045
#6 [e3a1ecb4] do_invalid_op at c0106420
#7 [e3a1ed64] error_code (via invalid_op) at c02d53f9
   EAX: 00000073  EBX: c44b0614  ECX: e3a1eda8  EDX: f88d21ca  EBP: 00000000
   DS:  007b      ESI: c3a6e800  ES:  007b      EDI: e3a1e000
   CS:  0060      EIP: f88cb449  ERR: ffffffff  EFLAGS: 00010216
#8 [e3a1eda0] journal_start at f88cb449
   EAX: 00000073  EBX: c44b0614  ECX: e3a1eda8  EDX: f88d21ca  EBP: 00000000
   DS:  007b      ESI: c3a6e800  ES:  007b      EDI: e3a1e000
   CS:  0060      EIP: f88cb449  ERR: ffffffff  EFLAGS: 00010216
   CS:  0060      EIP: f88cb449  ERR: ffffffff  EFLAGS: 00010216
#8 [e3a1eda0] journal_start at f88cb449
#9 [e3a1edc4] start_transaction at f8921ed2
#10 [e3a1edd0] ext3_delete_inode at f8921f48
#11 [e3a1eddc] generic_delete_inode at c017192a
#12 [e3a1ede8] iput at c0171b06
#13 [e3a1edf0] dput at c016f17e
#14 [e3a1ee00] prune_dcache at c016f6ae
#15 [e3a1ee1c] shrink_dcache_memory at c016fa43
#16 [e3a1ee20] shrink_slab at c0149811
#17 [e3a1ee50] try_to_free_pages at c014a7f3
#18 [e3a1eea4] __alloc_pages at c0144198
#19 [e3a1eed0] find_or_create_page at c0140931
#20 [e3a1eee8] page_symlink at c0169d86
#21 [e3a1ef10] ext3_symlink at f89281b1
#22 [e3a1ef3c] vfs_symlink at c0168f0f
#23 [e3a1ef54] sys_symlink at c0168fc6
#24 [e3a1efc0] system_call at c02d48fc
   EAX: 00000053  EBX: 08672980  ECX: 08672a08  EDX: bfff0888
   DS:  007b      ESI: bfff0884  ES:  007b      EDI: 08068130
   SS:  007b      ESP: bfff0858  EBP: bfff0878
   CS:  0073      EIP: 009567a2  ERR: 00000053  EFLAGS: 00000246

Version-Release number of selected component:
Red Hat Enterprise Linux Version Number: 4
Release Number: 4
Architecture: x86
Kernel Version: 2.6.9-42.0.10.EL

Drivers or hardware or architecture dependency:
None.

How reproducible:
Unknown.

Step to Reproduce:
Unknown.

Actual Results:
Panic.

Expected Results:
Not panic.

Summary of actions taken to resolve issue:
None.

Location of diagnostic data:
None.

Hardware configuration:
Model: PRIMERGY RX300S3
CPU Info: Xeon(R) CPU 5110 @ 1.60GHz x 4
Memory Info: 5 GB

Target Release: 4.8
Errata Request: async errata for 4.7
Hotfix Request: no
Comment 3 RHEL Product and Program Management 2009-03-11 17:08:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Vivek Goyal 2009-03-17 11:01:59 EDT
Committed in 84.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 12 errata-xmlrpc 2009-05-18 15:06:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.